import React from 'react';
import {
    SafeAreaView,
    ScrollView,
    StatusBar,
    StyleSheet,
    Text,
    Image,
    TouchableOpacity,
    View,
} from 'react-native';
import { colors, px2dp } from '../../utils';


interface Props {
    title?: string
}

interface State {
}

export default class KitEmpty extends React.Component<Props, State> {
    constructor(props: Props) {
        super(props);
    };

    public readonly state: Readonly<State> = {
    };

    render() {
        const {title = "暂无数据"} = this.props;
        return (
            <View style={{ width: px2dp(350), height: px2dp(400), justifyContent: 'center', alignItems: 'center' }}>
                <Image style={{width: px2dp(240), height: px2dp(240)}} source={require('./../../assets/icons/empty-icon.png')}/>
                <Text style={{ fontSize: 14, color: colors.placeholderColor, marginTop: px2dp(-60) }}>{title}</Text>
            </View>
        )
    }
}