import React from 'react';
import {
    SafeAreaView,
    ScrollView,
    StatusBar,
    StyleSheet,
    Text,
    Image,
    TouchableOpacity,
    View,
} from 'react-native';
import LottieView from 'lottie-react-native';
import { px2dp } from '../../utils';

interface Props {
}

interface State {
}

export default class LoadingKit extends React.Component<Props, State> {
    constructor(props: Props) {
        super(props);
    };

    public readonly state: Readonly<State> = {
    };

    render() {
        return (
            <View style={styles.container}>
                <LottieView 
                    autoPlay
                    speed={1.5}
                    style={{width: '100%', height: '100%',}} 
                    source={require('./../../animated/ios-loading.json')}
                />
            </View>
        )
    }
}

const styles = StyleSheet.create({
    container: {
        width: px2dp(24),
        height: px2dp(24)
    }
})