import { replace } from "../NavigationService"
import { BjTypeActualMeasurementResearch, BjTypeResearchNameDict, BjTypeSampleLineResearch, BjTypeSampleSquareResearch } from "./types"

const jumpToResearchCommonTablePage = (
    researchInstance: BjTypeActualMeasurementResearch & BjTypeSampleLineResearch & BjTypeSampleSquareResearch,
    researchType: BjTypeResearchNameDict,
    backStackNum?: number
) => {
    replace('ResearchCommonTablePage', { researchInstance: researchInstance, researchType: researchType, backStackNum })
}


export {
    jumpToResearchCommonTablePage
}