import localSevice from "../sevices"
import { isArray } from "../utils";
import HttpUtils from "./reqeust";


const API = {
    /**
 * 登陆
 * @param params 
 * @returns 
 */
    login: (params, useNetWork?: boolean) => {
        return HttpUtils.postRequrst('/fontapi/user/login', params);
    },

    optionNootV1: (params, useNetWork?: boolean) => {
        return localSevice.optionNootV1(params);
    },

    deleteCommonResearchListV1: (params) => {
        return localSevice.deleteCommonResearchListV1(params);
    },

    getCommunityProfileResearchDetailstV1: (params) => {
        return localSevice.getCommunityProfileResearchDetailsV1(params);
    },

    optionCommunityProfileResearchV1: (params) => {
        return localSevice.optionCommunityProfileResearchV1(params);
    },

    getActualMeasurementResearchDetailstV1: (params) => {
        return localSevice.getActualMeasurementResearchDetailsV1(params);
    },

    optionActualMeasurementResearchV1: (params) => {
        return localSevice.optionActualMeasurementResearchV1(params);
    },

    queryResearchConnection: (params) => {
        return localSevice.queryResearchConnection(params);
    },

    optionResearchConnection: (params) => {
        return localSevice.quertResearchConnection(params);
    },

    getActualMeasurementResearchTableRowListV1: (params) => {
        return localSevice.getActualMeasurementResearchTableRowListV1(params)
    },

    optionActualMeasurementResearchTableRowV1: (params) => {
        if (!isArray(params)) {
            params = [params];
        }
        return localSevice.optionActualMeasurementResearchTableRowV1(params)
    },

    deleteActualMeasurementResearchTableRowV1: (params) => {
        return localSevice.deleteActualMeasurementResearchTableRowV1(params)
    },

    //
    getSampleSquareResearchDetailstV1: (params) => {
        return localSevice.getSampleSquareResearchDetailstV1(params);
    },

    optionSampleSquareResearchV1: (params) => {
        return localSevice.optionSampleSquareResearchV1(params);
    },

    getSampleSquareResearchTableRowListV1: (params) => {
        return localSevice.getSampleSquareResearchTableRowListV1(params)
    },

    optionSampleSquareResearchTableRowV1: (params) => {
        if (!isArray(params)) {
            params = [params];
        }
        return localSevice.optionSampleSquareResearchTableRowV1(params)
    },

    deleteSampleSquareResearchTableRowV1: (params) => {
        return localSevice.deleteSampleSquareResearchTableRowV1(params)
    },

    //
    getSampleLineResearchDetailstV1: (params) => {
        return localSevice.getSampleLineResearchDetailstV1(params);
    },

    optionSampleLineResearchV1: (params) => {
        return localSevice.optionSampleLineResearchV1(params);
    },

    getSampleLineResearchTableRowListV1: (params) => {
        return localSevice.getSampleLineResearchTableRowListV1(params)
    },

    optionSampleLineResearchTableRowV1: (params) => {
        if (!isArray(params)) {
            params = [params];
        }
        return localSevice.optionSampleLineResearchTableRowV1(params)
    },

    deleteSampleLineResearchTableRowV1: (params) => {
        return localSevice.deleteSampleLineResearchTableRowV1(params)
    },

    getFrequencyTableListV1: (params) => {
        return localSevice.getFrequencyTableListV1(params)
    },

    optionFrequencyTableRowV1: (params) => {
        if (!isArray(params)) {
            params = [params];
        }
        return localSevice.optionFrequencyTableRowV1(params)
    },

    deleteFrequencyTableRowV1: (params) => {
        return localSevice.deleteFrequencyTableRowV1(params)
    },

    getSpeciesBookTableListV1: (params) => {
        return localSevice.getSpeciesBookTableListV1(params)
    },

    optionSpeciesBookTableRowV1: (params) => {
        if (!isArray(params)) {
            params = [params];
        }
        return localSevice.optionSpeciesBookTableRowV1(params)
    },

    deleteSpeciesBookTableRowV1: (params) => {
        return localSevice.deleteSpeciesBookTableRowV1(params)
    },
}

export default API;