
import mockAction from './../sevices/mockAction';
import DataBaseTableName from "./DataBaseTableName";
import {
    createActualMeasurementResearchSubTableSQL,
    createActualMeasurementResearchTableSQL,
    createCommonResearchTable,
    createcommunityProfileResearchTableSQL,
    createResearchConnectionTable,
    createSampleSquareResearchTableSQL,
    createSampleSquareResearchSubTableSQL,
    createSampleLineResearchTableSQL,
    createSampleLineResearchSubTableSQL,
    createFrequencyTableSQL,
    createSpeciesBookTableSQL,
    createProtectionLandTableSQL,
    createNotBookTableSQL
} from './SqlStatement';

const initDataBaseFunc = () => {
    mockAction.createTable(createCommonResearchTable)
        .then(res => {
            console.log("公共调查数据表初始化-成功", res)
        })
        .catch(err => {
            console.log("公共调查数据表初始化-失败", err)
        })
    mockAction.createTable(createResearchConnectionTable)
        .then(res => {
            console.log("调查关联表初始化-成功", res)
        })
        .catch(err => {
            console.log("调查关联表初始化-失败", err)
        })
    mockAction.createTable(createcommunityProfileResearchTableSQL)
        .then(res => {
            console.log("群落概况数据表初始化-成功", res)
        })
        .catch(err => {
            console.log("群落概况数据表初始化-失败", err)
        })
    mockAction.createTable(createActualMeasurementResearchTableSQL)
        .then(res => {
            console.log("实测法数据表初始化-成功", res)
        })
        .catch(err => {
            console.log("实测法数据表初始化-失败", err)
        })
    mockAction.createTable(createActualMeasurementResearchSubTableSQL)
        .then(res => {
            console.log("实测法数据表-子表初始化-成功", res)
        })
        .catch(err => {
            console.log("实测法数据表-子表初始化-失败", err)
        })
    //样方(圆)
    mockAction.createTable(createSampleSquareResearchTableSQL)
        .then(res => {
            console.log("样方(圆)数据表初始化-成功", res)
        })
        .catch(err => {
            console.log("样方(圆)数据表初始化-失败", err)
        })
    mockAction.createTable(createSampleSquareResearchSubTableSQL)
        .then(res => {
            console.log("样方(圆)-子表初始化-成功", res)
        })
        .catch(err => {
            console.log("样方(圆)-子表初始化-失败", err)
        })
    //样线(带）
    mockAction.createTable(createSampleLineResearchTableSQL)
        .then(res => {
            console.log("样线(带）-成功", res)
        })
        .catch(err => {
            console.log("样线(带）-失败", err)
        })
    mockAction.createTable(createSampleLineResearchSubTableSQL)
        .then(res => {
            console.log("样线(带）-子表初始化-成功", res)
        })
        .catch(err => {
            console.log("样线(带）-子表初始化-失败", err)
        })
    mockAction.createTable(createFrequencyTableSQL)
        .then(res => {
            console.log("物种频次表初始化-成功", res)
        })
        .catch(err => {
            console.log("物种频次表初始化-失败", err)
        })
    mockAction.createTable(createSpeciesBookTableSQL)
        .then(res => {
            console.log("物种汇总表初始化-成功", res)
        })
        .catch(err => {
            console.log("物种汇总表初始化-失败", err)
        })
    mockAction.createTable(createProtectionLandTableSQL)
        .then(res => {
            console.log("保护区基本信息表-成功", res)
        })
        .catch(err => {
            console.log("保护区基本信息表-失败", err)
        })
    mockAction.createTable(createNotBookTableSQL)
        .then(res => {
            console.log("科考日志-成功", res)
        })
        .catch(err => {
            console.log("科考日志-失败", err)
        })

}

export default initDataBaseFunc;